Bug 41977 - [IVB]system fail to hibernate after s4 with 3-pipe active
Summary: [IVB]system fail to hibernate after s4 with 3-pipe active
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: unspecified
Hardware: Other All
: high major
Assignee: Eugeni Dodonov
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 42991 44622
  Show dependency treegraph
 
Reported: 2011-10-18 20:12 UTC by Guang Yang
Modified: 2017-10-06 14:51 UTC (History)
6 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Guang Yang 2011-10-18 20:12:06 UTC
System Environment:
--------------------------
Platform:        IvyBridge
Kernel: (ivb-3-pipe)344f5205ecf58b0c56f7d6439621fa5467e9881e

Bug detailed description:
-------------------------
First we start the system with 3 displays active, then we do "echo disk>/sys/power/state" for s4,the system fail to hibernate,it stuck 
with power on and we can't ssh to login.
Comment 1 Guang Yang 2011-10-19 01:28:16 UTC
This bug only occur with the 3-pipe kernel.
Comment 2 Guang Yang 2011-10-19 02:48:50 UTC
I have test S4 with another kernel,the system may fail to hibernate after s4 sometimes,not all the time.

System Environment:
--------------------------
Platform:        IvyBridge
Kernel: (drm-intel-fixes)cd0de039bff32ee314046c0e4c047c38aa696f84
Comment 3 Eugeni Dodonov 2011-10-19 04:59:08 UTC
Jesse - it looks suspiciously similar to other S4-related issues. I think we could try to workaround this by disabling KMS during suspend.

@Yangguang - does the issues happens with 'nomodeset' kernel parameter?
Comment 4 Guang Yang 2011-10-19 20:03:46 UTC
(In reply to comment #3)
> Jesse - it looks suspiciously similar to other S4-related issues. I think we
> could try to workaround this by disabling KMS during suspend.
> @Yangguang - does the issues happens with 'nomodeset' kernel parameter?

I have try to start the system on two different kernels with 'nomodeset' kernel parameter,the issues still happens .

System Environment:
--------------------------
Platform:        IvyBridge
Kernel: (ivb-3-pipe)344f5205ecf58b0c56f7d6439621fa5467e9881e

and

System Environment:
--------------------------
Platform:        IvyBridge
Kernel: (drm-intel-fixes)cd0de039bff32ee314046c0e4c047c38aa696f84
Comment 5 Gordon Jin 2011-11-01 01:06:23 UTC
I'm increasing the priority to high, since the code has been merged into drm-intel-next.
Comment 6 Gordon Jin 2011-12-15 22:39:59 UTC
Jesse/Eugeni, can you reproduce this?
Comment 7 Eugeni Dodonov 2011-12-22 11:03:22 UTC
(In reply to comment #6)
> Jesse/Eugeni, can you reproduce this?

Could you try with the http://cgit.freedesktop.org/~eugeni/kernel/log/?h=ivb-suspend tree please?
Comment 8 Guang Yang 2012-01-04 22:55:30 UTC
(In reply to comment #7)
> (In reply to comment #6)
> > Jesse/Eugeni, can you reproduce this?
> Could you try with the
> http://cgit.freedesktop.org/~eugeni/kernel/log/?h=ivb-suspend tree please?
I have try this patch with drm-intel-next,it can work well.
Comment 9 Eugeni Dodonov 2012-02-16 10:03:49 UTC
The patch was included in development trees and backported to 3.2.6 kernel, so closing as fixed.

If it still happens, please, let me know!
Comment 10 Gordon Jin 2012-02-16 16:18:44 UTC
Good to know. Since it's in 3.2.x, add the release tracker.
Comment 11 Elizabeth 2017-10-06 14:51:41 UTC
Closing old verified.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.